> ## Documentation Index
> Fetch the complete documentation index at: https://docs.range.org/llms.txt
> Use this file to discover all available pages before exploring further.

# Get the result of a custom-connection import

> Status, upsert counts, and per-row validation errors.



## OpenAPI

````yaml /api-reference/platform-api.json get /v2/account-connections/{id}/imports/{importId}
openapi: 3.0.0
info:
  title: Range Platform API
  description: >-
    The Range Platform API for workspace management, counterparties, and
    operational tooling.
  version: 1.7.27
  contact: {}
servers:
  - url: https://api.range.org
    description: Range API Server
security:
  - Authorization: []
  - Authorization: []
tags:
  - name: Address Information
    description: Get information about a crypto address.
  - name: Transfer Enrichments
    description: Attach workspace-scoped notes and categories to transfers.
  - name: Counterparties
    description: Manage external entities, their addresses, bank accounts, and documents.
paths:
  /v2/account-connections/{id}/imports/{importId}:
    get:
      tags:
        - Account Connections
      summary: Get the result of a custom-connection import
      description: Status, upsert counts, and per-row validation errors.
      operationId: getImport
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: importId
          required: true
          in: path
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ImportStatusResponseDto'
components:
  schemas:
    ImportStatusResponseDto:
      type: object
      properties:
        import_id:
          type: string
          example: a1b2c3d4-e5f6-7890-abcd-ef1234567890
        status:
          type: string
          enum:
            - processing
            - completed
            - failed
        accounts_upserted:
          type: number
          example: 2
        snapshots_upserted:
          type: number
          example: 10
        movements_upserted:
          type: number
          example: 4
        errors:
          type: array
          items:
            $ref: '#/components/schemas/ImportRowErrorDto'
        errors_truncated:
          type: number
          example: 0
          description: Row errors omitted after the stored cap.
      required:
        - import_id
        - status
        - accounts_upserted
        - snapshots_upserted
        - movements_upserted
        - errors
        - errors_truncated
    ImportRowErrorDto:
      type: object
      properties:
        file:
          type: string
          enum:
            - snapshots
            - movements
        row:
          type: number
          example: 2
        code:
          type: string
          enum:
            - VALIDATION_ERROR
            - PAYLOAD_TOO_LARGE
        message:
          type: string
          example: quantity must be a decimal string
      required:
        - file
        - row
        - code
        - message
  securitySchemes:
    Authorization:
      type: apiKey
      in: header
      name: X-API-KEY
      description: Authorization method required to allow user to access the api endpoints.

````